Knowledge Retrieval - Retrieve

知識庫會從支援存放區擷取相關資料。

POST {endpoint}/knowledgebases('{knowledgeBaseName}')/retrieve?api-version=2026-04-01

URI 參數

名稱 位於 必要 類型 Description
endpoint
path True

string (uri)

搜尋服務的端點 URL。

knowledgeBaseName
path True

string

知識庫名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
Accept

Accept

接受標頭。

x-ms-client-request-id

string (uuid)

一個不透明、全域唯一、由客戶端產生的請求字串識別碼。

要求本文

名稱 類型 Description
includeActivity

boolean

表示擷取結果應包含活動資訊。

intents KnowledgeRetrievalIntent[]:

KnowledgeRetrievalSemanticIntent[]

在沒有模型查詢規劃的情況下執行的預期查詢清單。

knowledgeSourceParams KnowledgeSourceParams[]:

知識來源的執行階段參數清單。

maxOutputSizeInTokens

integer (int32)

限制輸出中內容的大小上限。

maxRuntimeInSeconds

integer (int32)

執行時間上限 (以秒為單位)。

回應

名稱 類型 Description
200 OK

KnowledgeBaseRetrievalResponse

成功取回。

Other Status Codes

KnowledgeBaseRetrievalResponse

部分取回反應。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

api-key

類型: apiKey
位於: header

OAuth2Auth

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

範圍

名稱 Description
https://search.azure.com/.default

範例

KnowledgeBaseRetrieve
KnowledgeBaseRetrieveWithIntents

KnowledgeBaseRetrieve

範例要求

POST https://exampleservice.search.windows.net/knowledgebases('base-example-index')/retrieve?api-version=2026-04-01


{
  "maxRuntimeInSeconds": 60,
  "maxOutputSizeInTokens": 100000,
  "includeActivity": true,
  "knowledgeSourceParams": [
    {
      "filterAddOn": "foo eq bar",
      "knowledgeSourceName": "ks-example-index",
      "includeReferences": true,
      "includeReferenceSourceData": true,
      "rerankerThreshold": 2.1,
      "kind": "searchIndex"
    }
  ]
}

範例回覆

{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "modelQueryPlanning",
      "id": 0,
      "inputTokens": 11,
      "outputTokens": 22,
      "elapsedMs": 10
    },
    {
      "type": "searchIndex",
      "id": 1,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "searchIndex",
      "id": 2,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world two",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "agenticReasoning",
      "id": 3,
      "reasoningTokens": 74
    },
    {
      "type": "modelAnswerSynthesis",
      "id": 4,
      "inputTokens": 664,
      "outputTokens": 1328,
      "elapsedMs": 10
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}
{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "modelQueryPlanning",
      "id": 0,
      "inputTokens": 11,
      "outputTokens": 22,
      "elapsedMs": 10
    },
    {
      "type": "searchIndex",
      "id": 1,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "web",
      "id": 2,
      "knowledgeSourceName": "ks-preview-web",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 10,
      "elapsedMs": 2345,
      "error": {
        "code": "403",
        "message": "The error message",
        "details": [],
        "additionalInfo": [
          {
            "type": "SomeErrorType",
            "info": {
              "someProperty": "Some value"
            }
          }
        ]
      }
    },
    {
      "type": "agenticReasoning",
      "id": 3,
      "reasoningTokens": 74
    },
    {
      "type": "modelAnswerSynthesis",
      "id": 4,
      "inputTokens": 664,
      "outputTokens": 1328,
      "elapsedMs": 10
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}

KnowledgeBaseRetrieveWithIntents

範例要求

POST https://exampleservice.search.windows.net/knowledgebases('base-example-index')/retrieve?api-version=2026-04-01


{
  "intents": [
    {
      "search": "foo",
      "type": "semantic"
    }
  ],
  "maxRuntimeInSeconds": 60,
  "maxOutputSizeInTokens": 100000,
  "includeActivity": true,
  "knowledgeSourceParams": [
    {
      "filterAddOn": "foo eq bar",
      "knowledgeSourceName": "ks-example-index",
      "includeReferences": true,
      "includeReferenceSourceData": true,
      "rerankerThreshold": 2.1,
      "kind": "searchIndex"
    }
  ]
}

範例回覆

{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "searchIndex",
      "id": 0,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "foo",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "agenticReasoning",
      "id": 1,
      "reasoningTokens": 37
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}
{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "searchIndex",
      "id": 0,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "foo",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "web",
      "id": 1,
      "knowledgeSourceName": "ks-preview-web",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 10,
      "elapsedMs": 2345,
      "error": {
        "code": "403",
        "message": "The error message",
        "details": [],
        "additionalInfo": [
          {
            "type": "SomeErrorType",
            "info": {
              "someProperty": "Some value"
            }
          }
        ]
      }
    },
    {
      "type": "agenticReasoning",
      "id": 2,
      "reasoningTokens": 37
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}

定義

名稱 Description
Accept

接受標頭。

AzureBlobKnowledgeSourceParams

指定 Azure Blob 知識來源的執行階段參數

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。

IndexedOneLakeKnowledgeSourceParams

指定索引 OneLake 知識來源的執行階段參數

KnowledgeBaseActivityRecordType

活動紀錄的類型。

KnowledgeBaseAgenticReasoningActivityRecord

代表代理推理活動記錄。

KnowledgeBaseAzureBlobActivityArguments

代表執行 Azure Blob 擷取活動時所使用的引數。

KnowledgeBaseAzureBlobActivityRecord

代表 Azure Blob 擷取活動記錄。

KnowledgeBaseAzureBlobReference

代表 Azure Blob 儲存體檔參考。

KnowledgeBaseErrorAdditionalInfo

資源管理錯誤附加資訊。

KnowledgeBaseErrorDetail

錯誤詳情

KnowledgeBaseImageContent

圖片內容。

KnowledgeBaseIndexedOneLakeActivityArguments

代表索引 OneLake 檢索活動所使用的參數。

KnowledgeBaseIndexedOneLakeActivityRecord

代表一個索引的 OneLake 檢索活動紀錄。

KnowledgeBaseIndexedOneLakeReference

代表一個索引 OneLake 文件參考。

KnowledgeBaseMessage

自然語言訊息樣式物件。

KnowledgeBaseMessageContentType

訊息內容的類型。

KnowledgeBaseMessageImageContent

影像訊息類型。

KnowledgeBaseMessageTextContent

簡訊類型。

KnowledgeBaseModelWebSummarizationActivityRecord

代表一個大型語言模型(LLM)網頁摘要活動記錄。

KnowledgeBaseReferenceType

參照的類型。

KnowledgeBaseRetrievalRequest

擷取要求的輸入合約。

KnowledgeBaseRetrievalResponse

擷取回應的輸出合約。

KnowledgeBaseSearchIndexActivityArguments

代表執行搜尋索引擷取活動時所使用的引數。

KnowledgeBaseSearchIndexActivityRecord

代表搜尋索引擷取活動記錄。

KnowledgeBaseSearchIndexReference

代表 Azure 搜尋服務檔參考。

KnowledgeBaseWebActivityArguments

代表網頁檢索活動所用的論點。

KnowledgeBaseWebActivityRecord

代表網路檢索活動紀錄。

KnowledgeBaseWebReference

代表網頁文件參照。

KnowledgeRetrievalIntentType

要使用的知識庫組態類型。

KnowledgeRetrievalMinimalReasoningEffort

以最少的推理工作執行知識檢索。

KnowledgeRetrievalReasoningEffortKind

擷取期間要使用的工作量。

KnowledgeRetrievalSemanticIntent

語意查詢意圖。

KnowledgeSourceKind

知識來源的那種。

SearchIndexFieldReference

搜尋索引的欄位參考。

SearchIndexKnowledgeSourceParams

指定搜尋索引知識來源的執行階段參數

WebKnowledgeSourceParams

指定 Web 知識來源的執行階段參數

Accept

接受標頭。

值 Description
application/json;odata.metadata=minimal

AzureBlobKnowledgeSourceParams

指定 Azure Blob 知識來源的執行階段參數

名稱 類型 Description
includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

azureBlob

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。

名稱 類型 Description
error

ErrorDetail

錯誤物件。

IndexedOneLakeKnowledgeSourceParams

指定索引 OneLake 知識來源的執行階段參數

名稱 類型 Description
includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

indexedOneLake

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

KnowledgeBaseActivityRecordType

活動紀錄的類型。

值 Description
searchIndex

搜尋索引檢索活動。

azureBlob

Azure Blob retrieval activity.

indexedOneLake

索引 OneLake 檢索活動。

web

網路檢索活動。

modelWebSummarization

大型語言模型網頁摘要活動。

agenticReasoning

行動推理活動。

KnowledgeBaseAgenticReasoningActivityRecord

代表代理推理活動記錄。

名稱 類型 Description
elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

reasoningTokens

integer (int32)

代理推理的輸入記號數目。

retrievalReasoningEffort KnowledgeRetrievalReasoningEffort:

KnowledgeRetrievalMinimalReasoningEffort

檢索推理努力的配置。

type string:

agenticReasoning

活動記錄的類型。

KnowledgeBaseAzureBlobActivityArguments

代表執行 Azure Blob 擷取活動時所使用的引數。

名稱 類型 Description
search

string

用來查詢 Blob 內容的搜尋字串。

KnowledgeBaseAzureBlobActivityRecord

代表 Azure Blob 擷取活動記錄。

名稱 類型 Description
azureBlobArguments

KnowledgeBaseAzureBlobActivityArguments

擷取活動的 Azure Blob 引數。

count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

azureBlob

活動記錄的類型。

KnowledgeBaseAzureBlobReference

代表 Azure Blob 儲存體檔參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

blobUrl

string

參考的 Blob URL。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

azureBlob

參考的類型。

KnowledgeBaseErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

附加資訊。

type

string

其他資訊類型。

KnowledgeBaseErrorDetail

錯誤詳情

名稱 類型 Description
additionalInfo

KnowledgeBaseErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

KnowledgeBaseErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

KnowledgeBaseImageContent

圖片內容。

名稱 類型 Description
url

string (uri)

影像的網址。

KnowledgeBaseIndexedOneLakeActivityArguments

代表索引 OneLake 檢索活動所使用的參數。

名稱 類型 Description
search

string

用於查詢索引 OneLake 內容的搜尋字串。

KnowledgeBaseIndexedOneLakeActivityRecord

代表一個索引的 OneLake 檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

indexedOneLakeArguments

KnowledgeBaseIndexedOneLakeActivityArguments

索引 OneLake 的檢索活動論證。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

indexedOneLake

活動記錄的類型。

KnowledgeBaseIndexedOneLakeReference

代表一個索引 OneLake 文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docUrl

string

參考的文件 URL。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

indexedOneLake

參考的類型。

KnowledgeBaseMessage

自然語言訊息樣式物件。

名稱 類型 Description
content KnowledgeBaseMessageContent[]:

訊息的內容。

role

string

工具回應的作用。

KnowledgeBaseMessageContentType

訊息內容的類型。

值 Description
text

短信內容類型。

image

圖像訊息內容類型。

KnowledgeBaseMessageImageContent

影像訊息類型。

名稱 類型 Description
image

KnowledgeBaseImageContent

圖片內容。

type string:

image

訊息的類型

KnowledgeBaseMessageTextContent

簡訊類型。

名稱 類型 Description
text

string

文字內容。

type string:

text

訊息的類型

KnowledgeBaseModelWebSummarizationActivityRecord

代表一個大型語言模型(LLM)網頁摘要活動記錄。

名稱 類型 Description
elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

inputTokens

integer (int32)

LLM 網頁摘要活動的輸入標記數量。

outputTokens

integer (int32)

LLM 網頁摘要活動的輸出代幣數量。

type string:

modelWebSummarization

活動記錄的類型。

KnowledgeBaseReferenceType

參照的類型。

值 Description
searchIndex

搜尋索引文件參考。

azureBlob

Azure Blob document reference.

indexedOneLake

索引 OneLake 文件參考。

web

網頁文件參考。

KnowledgeBaseRetrievalRequest

擷取要求的輸入合約。

名稱 類型 Description
includeActivity

boolean

表示擷取結果應包含活動資訊。

intents KnowledgeRetrievalIntent[]:

KnowledgeRetrievalSemanticIntent[]

在沒有模型查詢規劃的情況下執行的預期查詢清單。

knowledgeSourceParams KnowledgeSourceParams[]:

知識來源的執行階段參數清單。

maxOutputSizeInTokens

integer (int32)

限制輸出中內容的大小上限。

maxRuntimeInSeconds

integer (int32)

執行時間上限 (以秒為單位)。

KnowledgeBaseRetrievalResponse

擷取回應的輸出合約。

名稱 類型 Description
activity KnowledgeBaseActivityRecord[]:

用於追蹤進度和計費影響的活動記錄。

references KnowledgeBaseReference[]:

回應中使用的擷取資料參考。

response

KnowledgeBaseMessage[]

回覆訊息。

KnowledgeBaseSearchIndexActivityArguments

代表執行搜尋索引擷取活動時所使用的引數。

名稱 類型 Description
filter

string

篩選字串。

search

string

用來查詢搜尋索引的搜尋字串。

searchFields

SearchIndexFieldReference[]

搜尋的欄位是哪些。

semanticConfigurationName

string

搜尋索引中使用了什麼語意配置?

sourceDataFields

SearchIndexFieldReference[]

選取了哪些欄位進行搜尋。

KnowledgeBaseSearchIndexActivityRecord

代表搜尋索引擷取活動記錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

searchIndexArguments

KnowledgeBaseSearchIndexActivityArguments

擷取活動的搜尋索引引數。

type string:

searchIndex

活動記錄的類型。

KnowledgeBaseSearchIndexReference

代表 Azure 搜尋服務檔參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docKey

string

參考的文件索引鍵。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

searchIndex

參考的類型。

KnowledgeBaseWebActivityArguments

代表網頁檢索活動所用的論點。

名稱 類型 Description
count

integer (int32)

回傳的網頁結果數量。

freshness

string

取回活動的新鮮度。

language

string

取回活動的語言。

market

string

這是回收活動的市場。

search

string

用來查詢網路的搜尋字串。

KnowledgeBaseWebActivityRecord

代表網路檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

web

活動記錄的類型。

webArguments

KnowledgeBaseWebActivityArguments

網路上的論點支持檢索活動。

KnowledgeBaseWebReference

代表網頁文件參照。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

title

string

Web 文件的標題。

type string:

web

參考的類型。

url

string (uri)

參考資料的來源 URL。

KnowledgeRetrievalIntentType

要使用的知識庫組態類型。

值 Description
semantic

自然語言語意查詢意圖。

KnowledgeRetrievalMinimalReasoningEffort

以最少的推理工作執行知識檢索。

名稱 類型 Description
kind string:

minimal

那種推理努力。

KnowledgeRetrievalReasoningEffortKind

擷取期間要使用的工作量。

值 Description
minimal

不會執行任何來源選取、查詢規劃或反覆搜尋。

KnowledgeRetrievalSemanticIntent

語意查詢意圖。

名稱 類型 Description
search

string

要執行的語意查詢

type string:

semantic

意圖的類型。

KnowledgeSourceKind

知識來源的那種。

值 Description
searchIndex

從搜尋索引讀取資料的知識來源。

azureBlob

從 Azure Blob 儲存體讀取資料並將其擷取至搜尋索引的知識來源。

indexedOneLake

一個讀取索引 OneLake 資料的知識來源。

web

一個能從網路讀取資料的知識來源。

SearchIndexFieldReference

搜尋索引的欄位參考。

名稱 類型 Description
name

string

欄位的名稱。

SearchIndexKnowledgeSourceParams

指定搜尋索引知識來源的執行階段參數

名稱 類型 Description
filterAddOn

string

套用至索引的篩選條件 (例如,'State eq VA')。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

searchIndex

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

WebKnowledgeSourceParams

指定 Web 知識來源的執行階段參數

名稱 類型 Description
count

integer (int32)

要傳回的 Web 結果數目。

freshness

string

網路結果的新鮮度。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

web

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

language

string

網路結果的語言。

market

string

網絡結果的市場。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。